.form-login {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;

  padding-top: 3rem;
  padding-bottom: 3rem;
  background-color: #f4f4f4;
  width: 100%;
}

.container .row {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 3rem 0;
}

.form-inscription {
  max-width: 800px;
  width: 100%;
  background-color: var(--light-gray);
  padding: 2rem;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border: 1px solid var(--sky-blue);
}

h1.text-center {
  text-align: center;
  margin-bottom: 2rem;
}

.form-row {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.form-column {
  flex: 1 1 calc(50% - 1rem);
}

form fieldset {
  border: none;
  margin-bottom: 1.5rem;
}

form legend {
  font-weight: bold;
  margin-bottom: 1rem;
  color: var(--primary-color-01);
}

form input,
form select,
form textarea {
  width: 100%;
  padding: 0.75rem;
  margin: 0.5rem 0;
  border: 1px solid #ccc;
  border-radius: 5px;
}

form label {
  font-weight: 500;
}

/* Boutons */
.form-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;

  margin-top: 1rem;

}

.form-buttons a {

  width: calc(50% - 1rem);

}

.form-buttons button {
  width: calc(50% - 1rem);


}

input[type="checkbox"]:checked {
  background-color: var(--primary-color-01);

  border-color: var(--primary-color-01);

}




form .form-check {
  display: flex;
  align-items: center;
}



form .form-check input {
  margin-right: 0.5rem;
}

@media (min-width: 1025px) {
  .form-inscription {
    max-width: 800px;

    padding: 3rem;
  }

  .form-column {
    flex: 1 1 calc(50% - 1rem);
  }


}


@media (min-width: 768px) and (max-width: 1024px) {
  .form-inscription {
    max-width: 85%;

    padding: 2rem;
  }

  .form-column {
    flex: 1 1 48%;
  }

  .btn-primary,
  .btn-secondary {
    width: auto;
  }

  .form-buttons {
    flex-direction: row;


  }
}



@media (max-width: 767px) {
  .form-inscription {
    padding: 1.5rem;
  }

  .form-column {
    flex: 1 1 100%;
  }

  .form-row {
    gap: 0.5rem;
  }

  .btn-primary,
  .btn-secondary {
    width: 100%;

    padding: 1rem;
  }

  .form-buttons {
    flex-direction: column;
    align-items: center;

  }

  .form-buttons a {

    width: calc(80% - 1rem);

  }

  .form-buttons button {
    width: calc(80% - 1rem);


  }
}



.form-panel {
  width: 100%;

  max-width: calc(50% - 1rem);

  margin: 0.5rem auto;

  border: 1px solid var(--primary-color-01);
  padding: 3rem;
  border-radius: 5px;
  box-shadow: 0px 0px 5px var(--primary-color-01);
  background-color: white;
  box-sizing: border-box;
}

.bouton-group {
  display: flex;
  flex-wrap: wrap;


  gap: 1rem;
}

.bouton-group .bt-item {
  flex: 1 1 calc(50% - 1rem);
}

.bouton-group .bt-item:nth-child(1) {
  display: flex;
  justify-content: space-between;
}

.bouton-group .passoublie {
  width: 100%;
  font-size: 1rem;
  color: black;
}

.bouton-group .passoublie:hover {
  color: var(--primary-color-04);
  text-decoration: underline;
}

.bouton-group a,
.bouton-group button {
  padding: 0.5rem 0.5rem;
  font-size: 15px;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
  margin-left: 5px;
  text-decoration: none;
  margin-top: 1rem;
}

.bouton-group a:hover,
.bouton-group button:hover {
  transform: scale(1.05);
}

@media (min-width: 768px) and (max-width: 990px) {
  .form-panel {
    max-width: calc(75% - 1rem);

    padding: 2rem;
  }

  .bouton-group a,
  .bouton-group button {
    width: auto;
  }
}

@media (max-width: 767px) {
  .form-panel {
    max-width: calc(98% - 1rem);

    padding: 2rem;
  }

  .bouton-group a,
  .bouton-group button {
    width: auto;
  }
}

@media (max-width: 480px) {
  .bouton-group .bt-item:nth-child(1) {
    flex-direction: column;

    flex-wrap: wrap;
  }

  .passoublie {
    width: 100%;

    text-align: center;
  }

  .bouton-group a,
  .bouton-group button {
    width: 100%;

    padding: 0.75rem 1rem;
  }

  .form-panel {
    max-width: 100%;

    min-width: 280px;

    padding: 2rem;
  }

  .form-inscription {
    max-width: 90%;

    margin: 2rem auto;
  }
}